<?php
if($tipo_ven=='venta')
{
	$costo_promedio=0;
	$sqlk1=mysqli_query($con,"SELECT * FROM venta_detalle_temp_lote WHERE vetl_id_detalle_temp='$vent_id' ");
	while($datok1=mysqli_fetch_array($sqlk1))
	{
	    $kar_id=$datok1['kar_id'];
		$kar_lote=$datok1['kar_lote'];
		$kar_cantidad=$datok1['kar_cantidad'];
		$can11=mysqli_query($con,"INSERT INTO venta_detalle_lote (kar_id,kar_lote,kar_cantidad,vend_id_detalle) 
		VALUES ('$kar_id','$kar_lote','$kar_cantidad','$vend_id')") or die(mysqli_error($con)); 

	    // $kce=mysqli_query($con,"SELECT * FROM kardex_compra where kar_id='$kar_id' and kar_art_id='$vent_art_id' and kar_cantidad_v>0 and sucursal='$sucursal' and empresa='$empresa'") or die(mysqli_error($con));  
	    $kce=mysqli_query($con,"SELECT * FROM kardex_compra where kar_id='$kar_id' and kar_art_id='$vent_art_id' and sucursal='$sucursal' and empresa='$empresa'") or die(mysqli_error($con));  
		$kc=mysqli_fetch_array($kce);
		$kar_cantidad_v = $kc['kar_cantidad_v'];
		$costo_l = $kc['kar_precio']*$kar_cantidad;
		$costo_promedio+=$costo_l;

		$resta= $kar_cantidad_v - $kar_cantidad;
		$registros=mysqli_query($con,"UPDATE kardex_compra Set kar_cantidad_v='$resta' 
		Where kar_id='$kar_id' and kar_art_id='$vent_art_id' and empresa='$empresa'") or die(mysqli_error($con));
	}
	$costo=$costo_promedio/$vent_cantidad;
}
else if($tipo_ven=='apartado')
{
	$costo_promedio=0;
	$sqlk1=mysqli_query($con,"SELECT * FROM venta_apartadas_detalle_lote WHERE venad_id_detalle='$venad_id' ");
	while($datok1=mysqli_fetch_array($sqlk1))
	{
	    $kar_id=$datok1['kar_id'];
		$kar_lote=$datok1['kar_lote'];
		$kar_cantidad=$datok1['kar_cantidad'];
		$can11=mysqli_query($con,"INSERT INTO venta_detalle_lote (kar_id,kar_lote,kar_cantidad,vend_id_detalle) 
		VALUES ('$kar_id','$kar_lote','$kar_cantidad','$vend_id')") or die(mysqli_error($con)); 

	    // $kce=mysqli_query($con,"SELECT * FROM kardex_compra where kar_id='$kar_id' and kar_art_id='$vent_art_id' and kar_cantidad_v>0 and sucursal='$sucursal' and empresa='$empresa'") or die(mysqli_error($con));  
	    $kce=mysqli_query($con,"SELECT * FROM kardex_compra where kar_id='$kar_id' and kar_art_id='$vent_art_id' and sucursal='$sucursal' and empresa='$empresa'") or die(mysqli_error($con));  
		$kc=mysqli_fetch_array($kce);
		$kar_cantidad_v = $kc['kar_cantidad_v'];
		$costo_l = $kc['kar_precio']*$kar_cantidad;
		$costo_promedio+=$costo_l;

		$resta=$kar_cantidad_v - $kar_cantidad;
		$registros=mysqli_query($con,"UPDATE kardex_compra Set kar_cantidad_v='$resta' 
		Where kar_id='$kar_id' and kar_art_id='$vent_art_id' and empresa='$empresa'") or die(mysqli_error($con));
	}
	$costo=$costo_promedio/$vent_cantidad;
}

?>